Import From Chunked File - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Import From Chunked File
Endpoint: /v1/account-groupings/import-from-chunked-file
Method: POST
cURL Example
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/account-groupings/import-from-chunked-file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"chunkedFileId": "<string>"
}
'```
### Python Example
```python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/account-groupings/import-from-chunked-file"
payload = {
"name": "<string>",
"chunkedFileId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript Example
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', chunkedFileId: '<string>'})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/account-groupings/import-from-chunked-file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/account-groupings/import-from-chunked-file",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "POST",\
CURLOPT_POSTFIELDS => json_encode([\
'name' => '<string>',\
'chunkedFileId' => '<string>'\
]),\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>",\
"Content-Type: application/json"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/account-groupings/import-from-chunked-file"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"chunkedFileId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
Status Code: 201
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"name": {},
"codeDisplayName": {},
"delimiter": "<string>",
"mac": true,
"system": true,
"archived": true,
"publishedDate": "2023-11-07T05:31:56Z"
}
Object Details
- Authorization: string required. Bearer authentication header of the form
Bearer <token>. - Body:
name: string required. The name of the new account grouping. Minimum string length:1.chunkedFileId: string required. The unique identifier of the chunked file that contains the account grouping data.